classification
Title: Missing dependences in the Makefile
Type: Stage: resolved
Components: Build Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: twouters Nosy List: aeros, miss-islington, twouters, vemakereporter
Priority: normal Keywords: patch

Created on 2019-07-14 06:53 by vemakereporter, last changed 2019-09-09 13:55 by twouters. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14758 closed vemakereporter, 2019-07-14 06:53
PR 15757 merged twouters, 2019-09-09 11:07
PR 15767 merged miss-islington, 2019-09-09 12:17
PR 15769 merged twouters, 2019-09-09 12:23
Messages (5)
msg347866 - (view) Author: Vemake (vemakereporter) * Date: 2019-07-14 06:53
We use a tool to detect 138 dependence issues in the Makefile. Most of them are missing of c source files and header files. 

Those issues can cause incorrect results when we want to do incremental build and parallel build.

For example, any changes in "Include/typeslots.h" will not cause "Modules/atexitmodule.o" to be rebuilt, which is incorrect.

I've fixed all of them in the github PR:
https://github.com/python/cpython/pull/14758

I've tested it on my computer and the fixed version works as expected.
msg347993 - (view) Author: Kyle Stanley (aeros) * (Python committer) Date: 2019-07-15 21:47
Added twouters to the nosy list since he's the makefile expert according to https://devguide.python.org/experts/#miscellaneous.
msg351438 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2019-09-09 12:17
New changeset b4612f5d54aced5bc37f1b85bf50b4cafa2480f0 by T. Wouters in branch 'master':
bpo-37589: Add a few missing dependencies on .h files in the Makefile. (GH-15757)
https://github.com/python/cpython/commit/b4612f5d54aced5bc37f1b85bf50b4cafa2480f0
msg351458 - (view) Author: miss-islington (miss-islington) Date: 2019-09-09 13:28
New changeset 248387f3f1182087da8f432c989ac6f18315b50f by Miss Islington (bot) in branch '3.8':
bpo-37589: Add a few missing dependencies on .h files in the Makefile. (GH-15757)
https://github.com/python/cpython/commit/248387f3f1182087da8f432c989ac6f18315b50f
msg351462 - (view) Author: miss-islington (miss-islington) Date: 2019-09-09 13:38
New changeset 64f7f6efa0b6ccd5f942b0dd7c63978957d1660e by Miss Islington (bot) (T. Wouters) in branch '3.7':
[3.7] bpo-37589: Add a few missing dependencies on .h files in the Makefile. (GH-15757) (GH-15769)
https://github.com/python/cpython/commit/64f7f6efa0b6ccd5f942b0dd7c63978957d1660e
History
Date User Action Args
2019-09-09 13:55:08twouterssetstatus: open -> closed
assignee: twouters
resolution: fixed
stage: patch review -> resolved
2019-09-09 13:38:41miss-islingtonsetmessages: + msg351462
2019-09-09 13:28:10miss-islingtonsetnosy: + miss-islington
messages: + msg351458
2019-09-09 12:23:28twouterssetpull_requests: + pull_request15422
2019-09-09 12:17:30miss-islingtonsetpull_requests: + pull_request15420
2019-09-09 12:17:22twouterssetmessages: + msg351438
2019-09-09 11:07:48twouterssetkeywords: + patch
stage: patch review
pull_requests: + pull_request15410
2019-07-15 21:47:30aerossetnosy: + twouters, aeros
messages: + msg347993
2019-07-14 06:53:07vemakereportercreate